# DataExchange
TKSTEPBase
StepBasic

# StepBasic_HArray1OfOrganization Class Reference

`#include <StepBasic_HArray1OfOrganization.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_HArray1OfOrganization (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepBasic_HArray1OfOrganization (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepBasic_Organization)&V)
Standard_EXPORT void | Init (const Handle(StepBasic_Organization)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepBasic_Organization)&Value)
const Handle_StepBasic_Organization & | Value (const Standard_Integer Index) const
Handle_StepBasic_Organization & | ChangeValue (const Standard_Integer Index)
const StepBasic_Array1OfOrganization & | Array1 () const
StepBasic_Array1OfOrganization & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_Array1OfOrganization | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_HArray1OfOrganization::StepBasic_HArray1OfOrganization | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepBasic_HArray1OfOrganization::StepBasic_HArray1OfOrganization | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepBasic_Organization)& | V
| ) |

## Member Function Documentation

const StepBasic_Array1OfOrganization& StepBasic_HArray1OfOrganization::Array1 | ( |  | ) | const

StepBasic_Array1OfOrganization& StepBasic_HArray1OfOrganization::ChangeArray1 | ( |  | ) |

Handle_StepBasic_Organization& StepBasic_HArray1OfOrganization::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepBasic_HArray1OfOrganization::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_HArray1OfOrganization::Init | ( | const Handle(StepBasic_Organization)& | V | ) |

Standard_Integer StepBasic_HArray1OfOrganization::Length | ( |  | ) | const

Standard_Integer StepBasic_HArray1OfOrganization::Lower | ( |  | ) | const

void StepBasic_HArray1OfOrganization::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepBasic_Organization)& | Value
| ) |

Standard_Integer StepBasic_HArray1OfOrganization::Upper | ( |  | ) | const

const Handle_StepBasic_Organization& StepBasic_HArray1OfOrganization::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepBasic_Array1OfOrganization StepBasic_HArray1OfOrganization::myArray `[private]`

The documentation for this class was generated from the following file:

- StepBasic_HArray1OfOrganization.hxx